{%- macro content(id, title, classes = []) -%}
  <div class="{{ content.container|default('container') }}">
    {% if title %}
      <h2 class="mb-4">{{ title }}</h2>
    {% endif %}
    <div id="{{ id }}" class="mb-5 {{ classes | join(' ') }}">
      {{ caller() }}
    </div>
  </div>
{%- endmacro -%}

{%- macro activeItem(id, parentId, title, classes = []) -%}
  <div class="card">
    <div class="card-header" id="heading{{ id }}">
      <h5 class="mb-0">
        <button class="btn btn-link" data-toggle="collapse" data-target="#collapse{{ id }}" aria-expanded="true" aria-controls="collapse{{ id }}">
          {{ title }}
        </button>
      </h5>
    </div>
    <div id="collapse{{ id }}" class="collapse show" aria-labelledby="heading{{ id }}" data-parent="#{{ parentId }}">
      <div class="card-body">
        {{ caller() }}
      </div>
    </div>
  </div>
{%- endmacro -%}

{%- macro item(id, parentId, title, classes = []) -%}
  <div class="card">
    <div class="card-header" id="heading{{ id }}">
      <h5 class="mb-0">
        <button class="btn btn-link collapsed" data-toggle="collapse" data-target="#collapse{{ id }}" aria-expanded="false" aria-controls="collapse{{ id }}">
          {{ title }}
        </button>
      </h5>
    </div>
    <div id="collapse{{ id }}" class="collapse" aria-labelledby="heading{{ id }}" data-parent="#{{ parentId }}">
      <div class="card-body">
        {{ caller() }}
      </div>
    </div>
  </div>
{%- endmacro -%}